%define real_name Class-ReturnValue

Summary:	Class-ReturnValue module for perl 
Name:		perl-%{real_name}
Version:	0.55
Release:	%mkrel 1
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel, perl-Devel-StackTrace
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides a return-value object that lets you treat it as as a
boolean, array or object.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Class/ReturnValue.pm
%{_mandir}/*/*



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.55-1mdv2008.1
+ Revision: 136684
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2008.0
+ Revision: 69215
- update to new version 0.55

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.54-1mdv2008.0
+ Revision: 63925
- update to new version 0.54


* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:45:25 (58405)
- mkrel
- check section

* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:40:52 (58404)
Import perl-Class-ReturnValue

* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.53-1mdk
- 0.53

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.52-1mdk
- initial Mandriva package

